Missing Eclipse 2.x PVCS Integration with Eclipse 3.0?

Home Forums MyEclipse IDE Comments Missing Eclipse 2.x PVCS Integration with Eclipse 3.0?

This topic contains 26 replies, has 14 voices, and was last updated by Profile photo of support-swapna support-swapna 3 years ago.

Viewing 15 posts - 1 through 15 (of 27 total)
  • Author
    Posts
  • #210050
    Profile photo of Jason Hobbs
    Jason Hobbs
    Member

    Just add the xerces plugin folders from your 2.x eclipse installation to the 3.x plugin folder, and the Merant 2.1 plugin for Eclipse will work in 3.0 without a hitch! (Although it will still be a pain in the ass to install in the first place :) )

    Good luck!

    #210054

    Jason,

    Nice tip! Thanks for letting everyone know.

    #211326

    What version of PVCS are you utilizing, and who’s PVCS plugin. I have seen a couple, and had luck with none of them. As I am just a contractor, I cannot convince the company to change software, so if I could find a decent plugin and get it to work for eclipse, my life would be much easier. We are currently on PVCS 7.5 here.

    #211926
    Profile photo of Jason Hobbs
    Jason Hobbs
    Member

    I’m using 7.5 here with a tweaked version of Merant’s plugin.

    Now, when I say ‘tweaked’, I mean, “made to work” since it doesn’t out of the box. In fact, it’s just plain wrong out of the box.

    Two patches are required for the PVCS plugin to work with eclipse.

    This should set you on the right path:

    Install PVCS 7.5, adding the eclipse integration. When it asks for an eclipse location, don’t bother since it won’t recognize 3.x as a working installation. Just continue.

    Patch PVCS to 7.5.1.5 – Download available from Merant’s site

    Patch PVCS to 7.5.2.7 – This includes Eclipse 2.1 functionality.

    Now go into:
    {PVCS Install Folder}\VM\devint\eclipse2.1

    the layout of this folder is incorrect OOTB. It SHOULD be:

      eclipse2.1
          eclipse
               features
                   com.merant.team.pvcs_2.0.9
               plugins
                   com.merant.team.pvcs.docs_2.0.9
                   com.merant.team.pvcs_2.0.9

    …essentially the folders which should be underneath ‘plugins’ are not, they need to be moved under there.

    Then in you eclipse install folder, in the links folder

    create a file called com.merant.team.pvcs.link
    containing:

    path=C:\\Program Files\\PVCS\\vm\\devint\\eclipse2.1

    (obviously correct any path here you might have used differently)

    Copy the org.apache.xerces_4.0.13 plugin folder from eclipse 2.1 to your eclipse 3 plugins folder

    and then you should be good to go.

    Sorry I have to run to a meeting, feel free to shoot me an IM or email if you need more. I’ll update this thread with any corrections.

    Hopefully this helped some folks out.

    Jase

    #216934

    Jason.

    So far so good. Finally got the build manager here to get me the updated version of VM, and I followed your steps below. But when I try to access VM or any of the Team features from inside Eclipse, I get an error SCC_E_INITIALIZEFAILED No real help there, but I thought it mean something to you.

    Skip.

    #217010
    Profile photo of Jason Hobbs
    Jason Hobbs
    Member

    @skip_hollowell wrote:

    Jason.

    So far so good. Finally got the build manager here to get me the updated version of VM, and I followed your steps below. But when I try to access VM or any of the Team features from inside Eclipse, I get an error SCC_E_INITIALIZEFAILED No real help there, but I thought it mean something to you.

    Skip.

    After simply starting eclipse, Do you have a “Merant” option in the main toolbar?

    This is usually the best indicator that the plugin is started correctly right off the bat.

    If that’s not there, the best starting point to figure out what’s wrong would be to go to HELP | SOFTWARE UPDATES | MANAGE CONFIGURATION in the eclipse menu and examining the Merant Plugin. Sometimes this is a good place to find the source of the error. If you don’t get any joy there (sometimes it’s as nice a message as “file not found in C:\blah” but sometimes not) then take a look in the log file in your workspace. You’ll find that in

    {workspace folder}\.metadata\.log

    ….Let me know how it goes.

    #217012

    Jason,

    Thanks for the reply. Yep, I get the Merant menu item, and using that is when I received the SCC_E_INITIALIZEFAILED message. But this morning I had to hard reboot the machine for another reason, and when I went into eclipse this morning, the error was gone, and I was able to access Team Provider. I can’t read any of the project names, as they are all .prj file names, and not the poject names I set up in the VM Web Client Applet, but at least it is a start. I have the project directories shared on my solaris Box and map a drive to them on my NT box where I run eclipse.

    If you know of any other pointers, they would be greatly appreciated, but I thank you immenselt for getting me on the right track.

    Skip Hollowell

    #217013

    And thanks a million for helping me find that log file. I kept looking in the project workspace, and not the default workspace of eclipse. Makes all the difference.

    #217022
    Profile photo of Jason Hobbs
    Jason Hobbs
    Member

    Frequently I’ve found that non-eclipse instances of PVCS get hung up and prevent the plugin from working, that may have been your issue. If this happens again try closing down eclipse, opening your task manager and looking for a process called “PCLIOutProc.exe”. If it’s there, kill it and try re-opening Eclipse again.

    I can help you get PVCS working in Eclipse, however I can’t help PVCS from sucking so bad. :)

    It’s a rough road so stick with it :)

    #217699
    Profile photo of lcbj
    lcbj
    Member

    where can i donwload the latest pvcs plug-in?
    i have the vm 8.0 and eclipse 2.1 and/or 3.0
    i´ve download this one http://downloads.merant.com/files/pvcs/VM68SP1.zip
    but it didnt recognize my vm 8 instalation

    #217712
    Profile photo of Jason Hobbs
    Jason Hobbs
    Member

    The PVCS plugin comes with VM. When installing VM do a custom install and install the developer toolkit with IDE integration, or whatever they’re calling it these days. I noticed on the Merant website though it says it only works with Eclipse 2.0 or 2.1 so you’ll probably have to jump through the same hoops that are document above.

    Good luck!!

    #218009
    Profile photo of James Qi
    James Qi
    Member

    Hi, do you know if now PVCS supports the Eclipse 3.0 or not? Also, do you know if there is a plug in for PVCS Tracker?

    THank you
    James

    #218015
    Profile photo of Jason Hobbs
    Jason Hobbs
    Member

    7.5 and up seem to work OK with Eclipse 3 after performing the above steps. I don’t know much about Tracker, but the PVCS plugin does have some additional functionality other than just version control. I believe it has some sort of ‘watcher’ (if that’s what tracker is) where it’ll watch a repository for changes etc…

    #218350
    Profile photo of allanws
    allanws
    Member

    @jasonhobbs wrote:

    7.5 and up seem to work OK with Eclipse 3 after performing the above steps. I don’t know much about Tracker, but the PVCS plugin does have some additional functionality other than just version control. I believe it has some sort of ‘watcher’ (if that’s what tracker is) where it’ll watch a repository for changes etc…

    Does anybody know how I set “default upload rules” ? When I try to add some item to Dimensions the following message comes up to Merant console:

    Could not locate default upload rules.
    Run IDE Setup and load the default rules.
    Error: Invalid Rule Base

    Tks in advance

    Allan

    #224097
    Profile photo of luisgois
    luisgois
    Member

    Hello. Do you know if the VM plugin is the same used by Serena Dimensions 8 (8.0.41) ?

    Thanks.
    Best regards,
    Luis

Viewing 15 posts - 1 through 15 (of 27 total)

You must be logged in to reply to this topic.